wxWidgets: wxFileSystemWatcherEvent Class Reference

| Version: 3.2.7

Public Member Functions | List of all members
wxFileSystemWatcherEvent Class Reference
Class List by Category » Events

`#include <wx/fswatcher.h>`

Inheritance diagram for wxFileSystemWatcherEvent:
[legend]

## Detailed Description

A class of events sent when a file system event occurs.

Types of events reported may vary depending on a platform, however all platforms report at least creation of new file/directory and access, modification, move (rename) or deletion of an existing one.

##

Library: wxBase
Category: Events

See also
  wxFileSystemWatcher
  Events and Event Handling

Since
  2.9.1

## Public Member Functions
| wxFileSystemWatcherEvent (int changeType=0, int watchid=wxID_ANY)
| wxFileSystemWatcherEvent (int changeType, wxFSWWarningType warningType, const wxString &errorMsg, int watchid=wxID_ANY)
| wxFileSystemWatcherEvent (int changeType, const wxFileName &path, const wxFileName &newPath, int watchid=wxID_ANY)
const wxFileName & | GetPath () const
| Returns the path at which the event occurred. More...
const wxFileName & | GetNewPath () const
| Returns the new path of the renamed file/directory if this is a rename event. More...
int | GetChangeType () const
| Returns the type of file system change that occurred. More...
bool | IsError () const
| Returns `true` if this error is an error event. More...
wxString | GetErrorDescription () const
| Return a description of the warning or error if this is an error event. More...
wxFSWWarningType | GetWarningType () const
| Return the type of the warning if this event is a warning one. More...
wxString | ToString () const
| Returns a wxString describing an event, useful for logging, debugging or testing. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxFileSystemWatcherEvent() [1/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType = `0`,
|  | int | watchid = `wxID_ANY`
| ) |  |

## ◆ wxFileSystemWatcherEvent() [2/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType,
|  | wxFSWWarningType | warningType,
|  | const wxString & | errorMsg,
|  | int | watchid = `wxID_ANY`
| ) |  |

## ◆ wxFileSystemWatcherEvent() [3/3]

wxFileSystemWatcherEvent::wxFileSystemWatcherEvent | ( | int | changeType,
|  | const wxFileName & | path,
|  | const wxFileName & | newPath,
|  | int | watchid = `wxID_ANY`
| ) |  |

## Member Function Documentation

## ◆ GetChangeType()

int wxFileSystemWatcherEvent::GetChangeType | ( |  | ) | const

Returns the type of file system change that occurred.

See wxFSWFlags for the list of possible file system change types.

## ◆ GetErrorDescription()

wxString wxFileSystemWatcherEvent::GetErrorDescription | ( |  | ) | const

Return a description of the warning or error if this is an error event.

This string may be empty if the exact reason for the error or the warning is not known.

## ◆ GetNewPath()

const wxFileName& wxFileSystemWatcherEvent::GetNewPath | ( |  | ) | const

Returns the new path of the renamed file/directory if this is a rename event.

Otherwise it returns the same path as GetPath().

## ◆ GetPath()

const wxFileName& wxFileSystemWatcherEvent::GetPath | ( |  | ) | const

Returns the path at which the event occurred.

## ◆ GetWarningType()

wxFSWWarningType wxFileSystemWatcherEvent::GetWarningType | ( |  | ) | const

Return the type of the warning if this event is a warning one.

If this is not a warning event, i.e. if GetChangeType() doesn't include wxFSW_EVENT_WARNING, returns wxFSW_WARNING_NONE.

Since
  3.0

## ◆ IsError()

bool wxFileSystemWatcherEvent::IsError | ( |  | ) | const

Returns `true` if this error is an error event.

Error event is an event generated when a warning or error condition arises.

## ◆ ToString()

wxString wxFileSystemWatcherEvent::ToString | ( |  | ) | const

Returns a wxString describing an event, useful for logging, debugging or testing.